Loading...
Searching...
No Matches
RDKit::ReactionPicklerException Class Reference

used to indicate exceptions whilst pickling (serializing) reactions More...

`#include <ReactionPickler.h>`

Inheritance diagram for RDKit::ReactionPicklerException:

## Public Member Functions

| ReactionPicklerException (const char *msg)
| ReactionPicklerException (const std::string msg)
const char * | what () const noexcept override
| ~ReactionPicklerException () noexcept override=default

## Detailed Description

used to indicate exceptions whilst pickling (serializing) reactions

Definition at line 27 of file ReactionPickler.h.

## Constructor & Destructor Documentation

## ReactionPicklerException() [1/2]

RDKit::ReactionPicklerException::ReactionPicklerException | ( | const char * | msg | ) |

inline

Definition at line 30 of file ReactionPickler.h.

## ReactionPicklerException() [2/2]

RDKit::ReactionPicklerException::ReactionPicklerException | ( | const std::string | msg | ) |

inline

Definition at line 31 of file ReactionPickler.h.

## ~ReactionPicklerException()

RDKit::ReactionPicklerException::~ReactionPicklerException | ( |  | ) |

override default noexcept

## Member Function Documentation

## what()

const char * RDKit::ReactionPicklerException::what | ( |  | ) | const

inline override noexcept

Definition at line 32 of file ReactionPickler.h.

The documentation for this class was generated from the following file:

- ReactionPickler.h